cURL
curl https://acme.orgo.space/api/v1/public_events
const res = await fetch("https://acme.orgo.space/api/v1/public_events");
const events = await res.json();
$response = $client->get('/api/v1/public_events');
$events = json_decode($response->getBody(), true);
import requests
url = "https://app.orgo.space/api/v1/public_events"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/public_events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/public_events")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/public_events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 12,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"name": "Annual General Meeting 2026",
"slug": "annual-general-meeting-2026",
"description": "Quarterly chapter meeting open to all members.",
"dateTimeBegin": "2026-03-15T18:00:00+00:00",
"dateTimeEnd": "2026-03-15T21:00:00+00:00",
"location": "Boston Public Library, 700 Boylston St, Boston, MA 02116",
"cover": "https://cdn.orgo.space/events/12/cover.jpg",
"attendeeCount": 87,
"maxCapacity": 200,
"isPublic": true,
"hasEventTicketing": true,
"registrationUrl": "https://acme.orgo.space/events/annual-general-meeting-2026"
}
]Event
List public events
Returns published public events for a given tenant. Requires the tenant query parameter (slug). Supports date filtering via dateTimeBegin[after]/dateTimeBegin[before], or past/upcoming flags. Supports custom ordering via order[] parameters. No authentication required.
GET
/
api
/
v1
/
public_events
cURL
curl https://acme.orgo.space/api/v1/public_events
const res = await fetch("https://acme.orgo.space/api/v1/public_events");
const events = await res.json();
$response = $client->get('/api/v1/public_events');
$events = json_decode($response->getBody(), true);
import requests
url = "https://app.orgo.space/api/v1/public_events"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/public_events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/public_events")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/public_events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 12,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"name": "Annual General Meeting 2026",
"slug": "annual-general-meeting-2026",
"description": "Quarterly chapter meeting open to all members.",
"dateTimeBegin": "2026-03-15T18:00:00+00:00",
"dateTimeEnd": "2026-03-15T21:00:00+00:00",
"location": "Boston Public Library, 700 Boylston St, Boston, MA 02116",
"cover": "https://cdn.orgo.space/events/12/cover.jpg",
"attendeeCount": 87,
"maxCapacity": 200,
"isPublic": true,
"hasEventTicketing": true,
"registrationUrl": "https://acme.orgo.space/events/annual-general-meeting-2026"
}
]Query Parameters
The collection page number
The number of items per page
Required range:
0 <= x <= 100Enable or disable pagination
Available options:
asc, desc Available options:
asc, desc Available options:
asc, desc Available options:
asc, desc Available options:
asc, desc Response
200 - application/json
Event collection
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
2000
